## org.eclipse.emf.mapping.ecore2xml.util
Class Ecore2XMLResourceFactoryImpl

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.ResourceFactoryImpl
          org.eclipse.emf.mapping.ecore2xml.util.Ecore2XMLResourceFactoryImpl

All Implemented Interfaces:
  Resource.Factory, Ecore2XMLResource.Factory

    public class Ecore2XMLResourceFactoryImpl

extends ResourceFactoryImpl
implements Ecore2XMLResource.Factory

The Resource Factory associated with the package.

See Also:
  `Ecore2XMLResourceImpl`

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory
`Resource.Factory.Descriptor, Resource.Factory.Registry`

Field Summary

Fields inherited from interface org.eclipse.emf.mapping.ecore2xml.util.Ecore2XMLResource.Factory
`INSTANCE`

Constructor Summary
`Ecore2XMLResourceFactoryImpl()` Creates an instance of the resource factory

Method Summary
`Resource` `createResource(URI uri)` Creates an instance of the resource

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ecore2XMLResourceFactoryImpl

    public Ecore2XMLResourceFactoryImpl()

  Creates an instance of the resource factory.

Method Detail

### createResource

    public Resource createResource(URI uri)

  Creates an instance of the resource.

  Specified by:
    `createResource` in interface `Resource.Factory`
  Overrides:
    `createResource` in class `ResourceFactoryImpl`
  Parameters:
    `uri` - the URI.
  Returns:
    a new resource for the URI.
  See Also:
    `ResourceSet.createResource(URI)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.